- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::Static_NodeManager_Impl Class Reference

`#include <NodeManager_Impl.h>`

Inheritance diagram for CIAO::Static_NodeManager_Impl:

[legend]
Collaboration diagram for CIAO::Static_NodeManager_Impl:

[legend]
List of all members.

## Public Member Functions
| Static_NodeManager_Impl (const char *name, CORBA::ORB_ptr orb, PortableServer::POA_ptr p, const char *nodeapp_loc, const char *nodeapp_options, int spawn_delay, Static_Config_EntryPoints_Maps *static_config_entrypoints_maps)
| Constructor.
void | destroyManager (Deployment::NodeApplicationManager_ptr manager) throw (CORBA::SystemException, Deployment::StopError, Deployment::InvalidReference)
## Protected Member Functions
virtual | ~Static_NodeManager_Impl (void)
virtual ::CIAO::NodeApplicationManager_Impl_Base * | create_node_app_manager (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa) throw (CORBA::SystemException)
## Protected Attributes
Static_Config_EntryPoints_Maps * | static_config_entrypoints_maps_

## Constructor & Destructor Documentation

CIAO::Static_NodeManager_Impl::Static_NodeManager_Impl | ( | const char * | name,
|  | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | p,
|  | const char * | nodeapp_loc,
|  | const char * | nodeapp_options,
|  | int | spawn_delay,
|  | Static_Config_EntryPoints_Maps * | static_config_entrypoints_maps |
| ) |  |  |

Constructor.

CIAO::Static_NodeManager_Impl::~Static_NodeManager_Impl | ( | void |  | ) | `[protected, virtual]`

Since this class is reference counted, making this destructor protected to enforce proper memory managment through the reference counting mechanism (i.e. to disallow calling operator delete() on an instance of this class.

## Member Function Documentation

CIAO::NodeApplicationManager_Impl_Base * CIAO::Static_NodeManager_Impl::create_node_app_manager | ( | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | poa |
| ) |  |  | throw (CORBA::SystemException)`[protected, virtual]`

Implements CIAO::NodeManager_Impl_Base.

void CIAO::Static_NodeManager_Impl::destroyManager | ( | Deployment::NodeApplicationManager_ptr | manager | ) | throw (CORBA::SystemException, Deployment::StopError, Deployment::InvalidReference)`[virtual]`

Reimplemented from CIAO::NodeManager_Impl_Base.

## Member Data Documentation

Static_Config_EntryPoints_Maps* CIAO::Static_NodeManager_Impl::static_config_entrypoints_maps_`[protected]`

The documentation for this class was generated from the following files:

- NodeManager_Impl.h
- NodeManager_Impl.cpp